<?php
/**
* @version      $Id: myrssreadercategory.php v 1.0
* @package      My RSS Reader - Scrolling News
* @copyright    Copyright (C) 2010 FalsinSoft. All rights reserved.
* @license      GNU/GPL
* @website      http://www.falsinsoft.co.nr
* @email        falsinsoft@gmail.com
* 
*/

defined('_JEXEC') or die( 'Restricted access' );

class JElementMyRSSReaderCategory extends JElement
{
	var	$_name = 'MyRSSReaderCategory';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$db = &JFactory::getDBO();
				
		$db->setQuery('SELECT id, title FROM #__myrssreader_category ORDER BY title');
		
		$category_list = $db->loadObjectList();
		
		$options = array();
		
		$options[] = JHTML::_('select.option', '*', JText::_('All Categories'));
		$options[] = JHTML::_('select.option', '0', JText::_('Uncategorised'));
		
		foreach($category_list as $category)
		{
			$options[] = JHTML::_('select.option', $category->id, $category->title);
		}
		
		return JHTML::_('select.genericlist', $options, ''.$control_name.'['.$name.']', 'class="inputbox"', 'value', 'text', $value, $control_name.$name);
	}
}

?>