<?php
/**
* @version      $Id: myrssreadercolor.php v 1.0
* @package      My RSS Reader - Scrolling News
* @copyright    Copyright (C) 2010 FalsinSoft. All rights reserved.
* @license      GNU/GPL
* @website      http://www.falsinsoft.co.nr
* @email        falsinsoft@gmail.com
* 
*/

defined('_JEXEC') or die( 'Restricted access' );

class JElementMyRSSReaderColor extends JElement
{
	var	$_name = 'MyRSSReaderColor';

	function fetchElement($name, $value, &$node, $control_name)
	{
		$document =& JFactory::getDocument();
		$base_path = JURI::root(true).'/modules/mod_myrssreader_scrolling_news/';

		$document->addScript($base_path.'js/mooRainbow.js');
		$document->addStyleSheet($base_path.'assets/mooRainbow.css');
		
		$control_code =  'window.addEvent("domready", function() { '
						.'var '.$name.' = new MooRainbow("'.$name.'_btn", {'
						.' id: "'.$name.'_id",'
						.' wheel: true,'
						.' imgPath: "'.$base_path.'images/", '
						.'onChange: function(color) {'
						.'	$("params'.$name.'").value = color.hex;'
						.'}, '
						.'onComplete: function(color) {'
						.'	$("params'.$name.'").value = color.hex;'
						.'} '
						.'}); '
						.'});';

		$document->addScriptDeclaration('window.addEvent("domready", function() { '.$control_code.' });');
			
		$html_code = '<input id="'.$control_name.$name.'" name="'.$control_name.'['.$name.']" type="text" class="text_area" size="8" value="'.$value.'"/>'
					.'&nbsp;&nbsp;'
					.'<a href="#"><img src="'.$base_path.'images/color_button.png" alt="[r]" width="16" height="16" id="'.$name.'_btn" align="top"/></a>';
          
		return $html_code;
	}
}

?>